﻿/*Preloading*/
#preloader {
	position: fixed;
	top:0;
	left:0;
	right:0;
	width:100%;
	height:100%;
	bottom:0;
	background-color:#fff; 
	z-index:999999; 
}

.sk-spinner-wave.sk-spinner {
  margin:-1.5rem 0 0 -2.5rem; 
  position:absolute;
  left:50%; 
  top:50%;
  width: 5rem;
  height: 3rem;
  text-align: center;
  font-size: 1rem;
 }
 .ie8 .sk-spinner-wave.sk-spinner {display:none;}
.sk-spinner-wave div {
  background-color: #ccc;
  height: 100%;
  width: 0.6rem;
  display: inline-block;
  -webkit-animation: sk-waveStretchDelay 1.2s infinite ease-in-out;
   animation: sk-waveStretchDelay 1.2s infinite ease-in-out;
}
.sk-spinner-wave .sk-rect2 {-webkit-animation-delay: -1.1s;animation-delay: -1.1s;}
.sk-spinner-wave .sk-rect3 {-webkit-animation-delay: -1s;animation-delay: -1s; }
.sk-spinner-wave .sk-rect4 {-webkit-animation-delay: -0.9s;animation-delay: -0.9s;}
.sk-spinner-wave .sk-rect5 { -webkit-animation-delay: -0.8s;animation-delay: -0.8s;}

@-webkit-keyframes sk-waveStretchDelay {
  0%, 40%, 100% {-webkit-transform: scaleY(0.4);transform: scaleY(0.4);}

  20% { -webkit-transform: scaleY(1);transform: scaleY(1);}
}
@keyframes sk-waveStretchDelay {
  0%, 40%, 100% {-webkit-transform: scaleY(0.4);transform: scaleY(0.4);}
  20% { -webkit-transform: scaleY(1);transform: scaleY(1);}
}

.laptop{
	margin:auto;
	margin-top:2rem;
}



#overlay {
    position: fixed;
    left: 25%;
    top: 25%;
    padding: 2.5rem;
    border: 2px solid black;
    background-color: #ffffff;
    width: 50%;
    height: 50%;
    z-index: 100;
}
#fade {
    position: fixed;
    left: 0%;
    top: 0%;
    background-color: black;
    -moz-opacity: 0.7;
    opacity: .70;
    filter: alpha(opacity=70);
    width: 100%;
    height: 100%;
    z-index: 90;
}

#custom-modal.ng-enter {
  transition: opacity .5s ease-out;
  opacity: 0;
}
#custom-modal.ng-enter.ng-enter-active {
  opacity: 1;
}
#custom-modal.ng-leave {
  transition: opacity .5s ease-out;
  opacity: 1;
}
#custom-modal.ng-leave.ng-leave-active {
  opacity: 0;
}


/* fundementals */
.example1 {
  position: relative;
  padding-left: 5.1rem;
}
.example1 .panel-heading {
  white-space: nowrap;
  position: absolute;
  right: 100%;
  transform-origin: top right 0;
  transform: rotate( 270deg );
  word-wrap:break-word !important;
  font-size:8pt;
  width:15rem;
}

.example1 .panel-body {
   border-left:none;
   height:15rem;
}


.noBorder img{
    border-style:none !important;
}


/* Menu */

ul.cxmenu {
    position: absolute;
    list-style-type: none;
    background-color: white;
    box-shadow: 0 0 5px rgba(0, 0, 0, .15);
    /*width: 150px;*/
    border: 1px solid rgba(0, 0, 0, .15);
    top: 0;
    left: 0;

    
}

ul.cxmenu li.title {
    padding: 0.5rem 1rem;
    font-size: 11px;
    color: rgba(0, 0, 0, .5);
    border-bottom: 1px solid rgba(0, 0, 0, .15);
    background: linear-gradient(to bottom, #ededed 0%, #dedede 100%);
}

ul.cxmenu li {
    border-bottom: 1px solid rgba(0, 0, 0, .05);
    margin: 0;
    cursor: pointer;
    position: relative;
    transition: background-color .25s;
    font-size: 1.2rem;
    /*font-family: Lato, Arial, Tahoma Helvetica, sans-serif;*/
    overflow: hidden;
    margin-left:-2.8rem !important;
}

ul.cxmenu li i {
    float: left;
    overflow: hidden;
    width: 2rem;
    opacity: .5;
    margin: 0.6rem;
    transition: opacity .25s;
}

ul.cxmenu li:last-of-type {
    border-bottom: 0;
}

ul.cxmenu li a {
    padding: 0.8rem 1.2rem 0 0;
    /*position: absolute;*/
    top: 2;
    left: 0;
    width: 100%;
    height: 100%;
    color: dodgerblue;
    transition: color .25s;
    text-decoration: none;
    /*font-family: Lato, Arial, Tahoma Helvetica, sans-serif;*/
}

ul.cxmenu li:hover a {
    color: black;
}

ul.cxmenu li:hover img {
    opacity: 1;
}


.handCursor{
    cursor:pointer !important;
}

.ngdialog.ngdialog-theme-default .ngdialog-content .cazzone
{
    width:800px;
}

.componentText
{
    font-size:10px;
}


.tabsdemoDynamicHeight md-content {
  background-color: transparent !important; }
  .tabsdemoDynamicHeight md-content md-tabs {
    background: #f6f6f6;
    border: 1px solid #e1e1e1; }
    .tabsdemoDynamicHeight md-content md-tabs md-tabs-wrapper {
      background: white; }
  .tabsdemoDynamicHeight md-content h1:first-child {
    margin-top: 0; }


  del{text-decoration:line-through;}

  .materialDeactivated
  {
      background-color:#FABFBF !important;
  }


  .vertical-text {
	transform: rotate(270deg);
	/*transform-origin: left top 0;*/
   
}


  .background {
   /*position: absolute;*/
   top: 0;
   left: 0;
   bottom: 0;
   right: 0;
   /*z-index: -1;*/
   overflow: hidden;

   width:8rem;
   padding-right:0.5rem;
   padding-bottom:7rem;
   font-size: 0.9rem;
   color:white;
}



  .split-panes 
{
  left: 0px;
  right: 0px;
  top: 0px;
  bottom: 0px;
  position: absolute;
}

.split-panes > .split-handler 
{
  background: transparent;
  position: absolute;
  z-index: 999;
}

/* Horizontal */ 

.split-panes.horizontal > .split-handler
{
  width: 0.4rem;
  top: 0px; 
  left: 50%;
  bottom: 0px;
  cursor: ew-resize;
}

.split-panes.horizontal > .split-pane1,
.split-panes.horizontal > .split-pane2
{
  position: absolute;
  height: 100%;
}

.split-panes.horizontal > .split-pane1
{
  width: 50%; 
}

.split-panes.horizontal > .split-pane2
{
  left: 50%;
  right: 0px;
  border-left: 1px solid #aaa;
}


/* Vertical */

.split-panes.vertical > .split-handler
{
  height: 0.4rem;
  top: 50%; 
  left: 0px;
  right: 0px;
  cursor: ns-resize;
}

.split-panes.vertical > .split-pane1,
.split-panes.vertical > .split-pane2
{
  position: absolute;
  width: 100%;
}

.split-panes.vertical > .split-pane1
{
  height: 50%; 
}

.split-panes.vertical > .split-pane2
{
  top: 50%;
  bottom: 0px;
  border-top: 1px solid #aaa;
}
Status API Training Shop Blog About
© 2016 GitHub, Inc. Terms Privacy Security Contact 



.modalDialog {
   width: 40rem;
    position: relative;
    margin: 10% auto;
    padding: 0.5rem 2rem 1.3rem 2rem;
    border-radius: 1rem;
    background: #fff;
    background: -moz-linear-gradient(#fff, #999);
    background: -webkit-linear-gradient(#fff, #999);
    background: -o-linear-gradient(#fff, #999);
}
.modalDialog:target {
    opacity:1;
    pointer-events: auto;
}
.modalDialog > div {
    width: 40rem;
    position: relative;
    margin: 10% auto;
    padding: 0.5rem 2rem 1.3rem 2rem;
    border-radius: 1rem;
    background: #fff;
    background: -moz-linear-gradient(#fff, #999);
    background: -webkit-linear-gradient(#fff, #999);
    background: -o-linear-gradient(#fff, #999);
}
.close {
    background: #606061;
    color: #FFFFFF;
    line-height: 2.5rem;
    position: absolute;
    right: -1.2rem;
    text-align: center;
    top: -1.0rem;
    width: 2.4rem;
    text-decoration: none;
    font-weight: bold;
    -webkit-border-radius: 1.2rem;
    -moz-border-radius: 1.2rem;
    border-radius: 1.2rem;
    -moz-box-shadow: 1px 1px 3px #000;
    -webkit-box-shadow: 1px 1px 0.3rem #000;
    box-shadow: 1px 1px 3px #000;
}
.close:hover {
    background: #00d9ff;
}




/*SFONDI PER OGGETTI*/


.runModeAuto{
  border-top:solid 3px #31B404 !important;
  width:100%;
}

.runModeSemi{
     border-top:solid 3px #F2F5A9 !important;
       width:100%;
}

.runModeManual{
     border-top:solid 3px #F5A9A9 !important;
       width:100%;
}



.range {
   display: table;
   position: relative;
   height: 2.5rem;
   margin-top: 2rem;
   background-color: rgb(245, 245, 245);
   border-radius: 0.4rem;
   -webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
   box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
   cursor: pointer;
}

.range input[type="range"] {
   -webkit-appearance: none !important;
   -moz-appearance: none !important;
   -ms-appearance: none !important;
   -o-appearance: none !important;
   appearance: none !important;

   display: table-cell;
   width: 100%;
   background-color: transparent;
   height: 2.5rem;
   cursor: pointer;
}
.range input[type="range"]::-webkit-slider-thumb {
   -webkit-appearance: none !important;
   -moz-appearance: none !important;
   -ms-appearance: none !important;
   -o-appearance: none !important;
   appearance: none !important;

   width: 1.1rem;
   height: 2.5rem;
   color: rgb(255, 255, 255);
   text-align: center;
   white-space: nowrap;
   vertical-align: baseline;
   border-radius: 0px;
   background-color: rgb(153, 153, 153);
}

.range input[type="range"]::-moz-slider-thumb {
   -webkit-appearance: none !important;
   -moz-appearance: none !important;
   -ms-appearance: none !important;
   -o-appearance: none !important;
   appearance: none !important;

   width: 1.1rem;
   height: 2.5rem;
   color: rgb(255, 255, 255);
   text-align: center;
   white-space: nowrap;
   vertical-align: baseline;
   border-radius: 0px;
   background-color: rgb(153, 153, 153);
}

.range output {
   display: table-cell;
   padding: 0.3rem 0.5rem 0.2rem;
   min-width: 4.0rem;
   color: rgb(255, 255, 255);
   background-color: rgb(153, 153, 153);
   text-align: center;
   text-decoration: none;
   border-radius: 0.4rem;
   border-bottom-left-radius: 0;
   border-top-left-radius: 0;
   width: 1%;
   white-space: nowrap;
   vertical-align: middle;

   -webkit-transition: all 0.5s ease;
   -moz-transition: all 0.5s ease;
   -o-transition: all 0.5s ease;
   -ms-transition: all 0.5s ease;
   transition: all 0.5s ease;

   -webkit-user-select: none;
   -khtml-user-select: none;
   -moz-user-select: -moz-none;
   -o-user-select: none;
   user-select: none;
}
.range input[type="range"] {
   outline: none;
}

.range.range-primary input[type="range"]::-webkit-slider-thumb {
   background-color: rgb(66, 139, 202);
}
.range.range-primary input[type="range"]::-moz-slider-thumb {
   background-color: rgb(66, 139, 202);
}
.range.range-primary output {
   background-color: rgb(66, 139, 202);
}
.range.range-primary input[type="range"] {
   outline-color: rgb(66, 139, 202);
}

.range.range-success input[type="range"]::-webkit-slider-thumb {
   background-color: rgb(92, 184, 92);
}
.range.range-success input[type="range"]::-moz-slider-thumb {
   background-color: rgb(92, 184, 92);
}
.range.range-success output {
   background-color: rgb(92, 184, 92);
}
.range.range-success input[type="range"] {
   outline-color: rgb(92, 184, 92);
}

.range.range-info input[type="range"]::-webkit-slider-thumb {
   background-color: rgb(91, 192, 222);
}
.range.range-info input[type="range"]::-moz-slider-thumb {
   background-color: rgb(91, 192, 222);
}
.range.range-info output {
   background-color: rgb(91, 192, 222);
}
.range.range-info input[type="range"] {
   outline-color: rgb(91, 192, 222);
}

.range.range-warning input[type="range"]::-webkit-slider-thumb {
   background-color: rgb(240, 173, 78);
}
.range.range-warning input[type="range"]::-moz-slider-thumb {
   background-color: rgb(240, 173, 78);
}
.range.range-warning output {
   background-color: rgb(240, 173, 78);
}
.range.range-warning input[type="range"] {
   outline-color: rgb(240, 173, 78);
}

.range.range-danger input[type="range"]::-webkit-slider-thumb {
   background-color: rgb(217, 83, 79);
}
.range.range-danger input[type="range"]::-moz-slider-thumb {
   background-color: rgb(217, 83, 79);
}
.range.range-danger output {
   background-color: rgb(217, 83, 79);
}
.range.range-danger input[type="range"] {
   outline-color: rgb(217, 83, 79);
}



.widget-container {
    text-align: center;
}

.indicator-circle {
    fill: #f1f1f1;
}

.progress-text {
    fill: #A4A4A4;
    font-size: 1.2rem;
    font-family: Arial;
}

.progress-text .percent {
    font-size: 1.8rem;
    fill: #5D5D5D;
    font-family: Avenir;
}

.progress-text .actual {
    font-size: 3rem;
    fill: #5D5D5D;
    font-family: Avenir;
}

.progress-bar {
    stroke: #000;
    stroke-width: 0.3rem;
}

.outer-bar {
    stroke-width: 0.6rem;
}

.all-good {
    stroke: #78C000;
}

.normal {
    stroke: #C7E596;
}

.not-so-good {
    stroke: #F7650B;
}

.way-behind {
    stroke: #CB1616;
}
.modalMask {
    position:absolute;
    z-index:9;
    top:0;
    right:0;
    bottom:0;
    left:0;
    background:rgba(0, 0, 0, 0.53);
    width:100%;
    height:100%;
}

.modal-content {
    padding:2rem;
    color:#CCC;
    background:#000;
    margin-top:100px;
}


/*animazione div*/
.animation-examples {
  width: 60rem;
 
  display: table-cell;
  vertical-align: middle;
  text-align: center;
  /*font-size: 30px;
  font-weight: bold;
  font-family: cambria;*/
  /*border-bottom:none;
  border-left:none;
  border-right:none;*/
}

.animation-examples.one {
  color: black;
  outline: 0.5rem dashed #E0E4CC;
  box-shadow: 0 0 0 0.5rem #747677;
  animation: 1s animateBorderOne ease infinite;
}

@keyframes animateBorderOne {
  to {
    outline-color: #747677;
    box-shadow: 0 0 0 0.5rem #E0E4CC;
  }
}

.animation-examples.two {
  color: #FA2A00;
  outline: 1rem dashed #F2D694;
  box-shadow: 0 0 0 1rem #FA2A00;
  animation: 2s animateBorderTwo ease infinite;
}

@keyframes animateBorderTwo {
  to {
    outline-color: #FA2A00;
    box-shadow: 0 0 0 1rem #F2D694;
  }
}

.animation-examples.three {
  color: #BEF202;
  background: linear-gradient(to bottom, #BEF202 50%, #1B676B 50%);
  background-size: auto 2px;
  outline: 1rem dashed #BEF202;
  box-shadow: 0 0 0 1rem #1B676B;
  animation: 1s animateBorderThree ease infinite;
}

@keyframes animateBorderThree {
  to {
    outline-color: #1B676B;
    box-shadow: 0 0 0 1rem #BEF202;
  }
}

#animation-examples{
  margin: 2rem 1rem;
}



/*SCADA*/
.underBalance{
    border-top: 1px solid rgb(204, 204, 204);
width: 5rem;
margin-left: auto;
margin-right: auto;
margin-top: -0.3rem;
font-size: 1.1rem;
}

.vagonetto {
    border-radius: 1.5rem 1.5rem 1.5rem 1.5rem;
    -moz-border-radius: 1.5rem 1.5rem 1.5rem 1.5rem;
    -webkit-border-radius: 1.5rem 1.5rem 1.5rem 1.5rem;
    border: 2px solid #000000;
    height: 4.5rem;
    width: 85%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0.5rem;
    /*background: rgba(248,80,50,1);
background: -moz-linear-gradient(top, rgba(248,80,50,1) 0%, rgba(241,111,92,1) 42%, rgba(246,41,12,1) 75%, rgba(240,47,23,1) 89%, rgba(231,56,39,1) 100%);
background: -webkit-gradient(left top, left bottom, color-stop(0%, rgba(248,80,50,1)), color-stop(42%, rgba(241,111,92,1)), color-stop(75%, rgba(246,41,12,1)), color-stop(89%, rgba(240,47,23,1)), color-stop(100%, rgba(231,56,39,1)));
background: -webkit-linear-gradient(top, rgba(248,80,50,1) 0%, rgba(241,111,92,1) 42%, rgba(246,41,12,1) 75%, rgba(240,47,23,1) 89%, rgba(231,56,39,1) 100%);
background: -o-linear-gradient(top, rgba(248,80,50,1) 0%, rgba(241,111,92,1) 42%, rgba(246,41,12,1) 75%, rgba(240,47,23,1) 89%, rgba(231,56,39,1) 100%);
background: -ms-linear-gradient(top, rgba(248,80,50,1) 0%, rgba(241,111,92,1) 42%, rgba(246,41,12,1) 75%, rgba(240,47,23,1) 89%, rgba(231,56,39,1) 100%);
background: linear-gradient(to bottom, rgba(248,80,50,1) 0%, rgba(241,111,92,1) 42%, rgba(246,41,12,1) 75%, rgba(240,47,23,1) 89%, rgba(231,56,39,1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f85032', endColorstr='#e73827', GradientType=0 );*/
    /*text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.4);*/
    border-color: rgba(0, 0, 0, 0.07) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.18);
    -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2);
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2);
    background-repeat: repeat-x;
    background-image: -webkit-linear-gradient(top, rgba(255, 255, 255, 0.3) 1%, rgba(255, 255, 255, 0.15) 100%);
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.3) 1%, rgba(255, 255, 255, 0.15) 100%);
}

.mixer {
    border-radius: 1rem 1rem 1rem 1rem;
    -moz-border-radius: 1rem 1rem 1rem 1rem;
    -webkit-border-radius: 1rem 1rem 1rem 1rem;
    border: 0.2rem solid #000000;
    height: 12rem;
    width: 85%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20%;
    /*background: rgba(252,234,187,1);
background: -moz-linear-gradient(left, rgba(252,234,187,1) 0%, rgba(252,205,77,1) 40%, rgba(248,181,0,1) 62%, rgba(251,223,147,1) 100%);
background: -webkit-gradient(left top, right top, color-stop(0%, rgba(252,234,187,1)), color-stop(40%, rgba(252,205,77,1)), color-stop(62%, rgba(248,181,0,1)), color-stop(100%, rgba(251,223,147,1)));
background: -webkit-linear-gradient(left, rgba(252,234,187,1) 0%, rgba(252,205,77,1) 40%, rgba(248,181,0,1) 62%, rgba(251,223,147,1) 100%);
background: -o-linear-gradient(left, rgba(252,234,187,1) 0%, rgba(252,205,77,1) 40%, rgba(248,181,0,1) 62%, rgba(251,223,147,1) 100%);
background: -ms-linear-gradient(left, rgba(252,234,187,1) 0%, rgba(252,205,77,1) 40%, rgba(248,181,0,1) 62%, rgba(251,223,147,1) 100%);
background: linear-gradient(to right, rgba(252,234,187,1) 0%, rgba(252,205,77,1) 40%, rgba(248,181,0,1) 62%, rgba(251,223,147,1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fceabb', endColorstr='#fbdf93', GradientType=1 );*/
    /*background: rgba(255,210,97,1);
background: -moz-linear-gradient(left, rgba(255,210,97,1) 0%, rgba(255,210,97,1) 7%, rgba(255,191,15,1) 16%, rgba(204,150,0,1) 53%, rgba(255,205,66,1) 90%, rgba(255,205,66,1) 100%);
background: -webkit-gradient(left top, right top, color-stop(0%, rgba(255,210,97,1)), color-stop(7%, rgba(255,210,97,1)), color-stop(16%, rgba(255,191,15,1)), color-stop(53%, rgba(204,150,0,1)), color-stop(90%, rgba(255,205,66,1)), color-stop(100%, rgba(255,205,66,1)));
background: -webkit-linear-gradient(left, rgba(255,210,97,1) 0%, rgba(255,210,97,1) 7%, rgba(255,191,15,1) 16%, rgba(204,150,0,1) 53%, rgba(255,205,66,1) 90%, rgba(255,205,66,1) 100%);
background: -o-linear-gradient(left, rgba(255,210,97,1) 0%, rgba(255,210,97,1) 7%, rgba(255,191,15,1) 16%, rgba(204,150,0,1) 53%, rgba(255,205,66,1) 90%, rgba(255,205,66,1) 100%);
background: -ms-linear-gradient(left, rgba(255,210,97,1) 0%, rgba(255,210,97,1) 7%, rgba(255,191,15,1) 16%, rgba(204,150,0,1) 53%, rgba(255,205,66,1) 90%, rgba(255,205,66,1) 100%);
background: linear-gradient(to right, rgba(255,210,97,1) 0%, rgba(255,210,97,1) 7%, rgba(255,191,15,1) 16%, rgba(204,150,0,1) 53%, rgba(255,205,66,1) 90%, rgba(255,205,66,1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffd261', endColorstr='#ffcd42', GradientType=1 );*/
    border-color: rgba(0, 0, 0, 0.07) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.18);
    -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2);
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2);
    background-repeat: repeat-x;
    background-image: -webkit-linear-gradient(top, rgba(255, 255, 255, 0.3) 1%, rgba(255, 255, 255, 0.15) 100%);
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.3) 1%, rgba(255, 255, 255, 0.15) 100%);
}

.manualMode{
    border-top-color:#F5A9A9 !important;
}

.automaticMode {
    border-top-color:#31B404 !important;
}


 .dg {
            display: inline-block;
            width: 14rem;

            width:9rem;
            height:9rem;
            margin-top:-2rem;
            margin-bottom:1rem;
        }
        .dialgauge-value {
            font-size: 2.2rem;
            font-weight: 200;
        }
        .dialgauge-unit {
            font-size: 1.2rem;
            stroke: green;
            fill: pink;
            font-weight: 100;
        }
        .dialgauge-title {
            font-size: 1.2rem;
            stroke: green;
            fill: pink;
            font-weight: 100;
        }
        .dg1 {
            display: inline-block;
            width: 14rem;
        }
        .dg1 .dialgauge-value {
            font-size: 3rem;
            font-weight: 400;
            stroke: grey;
            fill: grey;
        }




        /*SLIDEBAR*/

        .ng-pageslide {
                background: #eee;
            }
            body.ng-pageslide-body-open::before {
                content: '.';
                display: block;
                position: absolute;
                top: 0;
                background-color: rgb(0,0,0);
                left: 0;
                right: 0;
                bottom: 0;
                z-index: 1;
                opacity: 0.5;
                transition: opacity 1s;
                opacity: 0.5;
                pointer-events: all;
            }
            body.ng-pageslide-body-closed::before {
                transition: opacity 1s;
                content: '.';
                display: block;
                position: absolute;
                top: 0;
                background-color: rgb(0,0,0);
                left: 0;
                right: 0;
                bottom: 0;
                z-index: 1;
                opacity: 0;
                pointer-events: none;
            }
            #container1, #container2 {
                width: 100%;
                height: 20rem;
                border: 1px solid lightGrey;
                p{
                    font-size: 0.5rem!important;
                }
            }


.redbg
{
    background-color:#F5A9A9;
}





.leftWheel {
  background: #18191a;
  background-image: -webkit-linear-gradient(top, #18191a, #e8f1f7);
  background-image: -moz-linear-gradient(top, #18191a, #e8f1f7);
  background-image: -ms-linear-gradient(top, #18191a, #e8f1f7);
  background-image: -o-linear-gradient(top, #18191a, #e8f1f7);
  background-image: linear-gradient(to bottom, #18191a, #e8f1f7);
  -webkit-border-radius: 3rem;
  -moz-border-radius: 3rem;
  border-radius: 3rem;
  font-family: Arial;
  color: #ffffff;
  font-size: 2rem;
  height:1.8rem;
  width:1.8rem;
  text-decoration: none;
   position:absolute;
   left:5%;
   top:50%;
   transform:translateY(-50%);

}

.rightWheel {
    background: #18191a;
    background-image: -webkit-linear-gradient(top, #18191a, #e8f1f7);
    background-image: -moz-linear-gradient(top, #18191a, #e8f1f7);
    background-image: -ms-linear-gradient(top, #18191a, #e8f1f7);
    background-image: -o-linear-gradient(top, #18191a, #e8f1f7);
    background-image: linear-gradient(to bottom, #18191a, #e8f1f7);
    -webkit-border-radius: 3rem;
    -moz-border-radius: 3rem;
    border-radius: 3rem;
    font-family: Arial;
    color: #ffffff;
    font-size: 2rem;
    height: 1.8rem;
    width: 1.8rem;
    text-decoration: none;
    position: absolute;
    right: 5%;
    top: 50%;
    transform: translateY(-50%);
}

.greenBorder{
   color:green;
}

.redBorder{
    color:red;
}

.stockActive{
    background-color:green !important;
}


/**, *:before, *:after{ 
    box-sizing: border-box; 
}*/ 
.css-shapes-preview{ 
    /*box-sizing: border-box; 
    position: relative; 
    height: 0px; 
    width: 150px; 
    padding: 0px; 
    border-radius: 15px; 
    top: 1px; 
    transform: rotate(0deg) skew(0deg); 
    -webkit-transform: rotate(0deg) skew(0deg); 
    border-top: 50px solid #428BCA; 
    border-left: 32px solid transparent; 
    border-right: 30px solid transparent; 
    border-bottom: 0px transparent;*/ 

   position: relative; 
    height: 0px; 
    width: 8rem; 
    border-radius: 1rem; 
    border-top: 12rem solid #428BCA; 
    border-left: 4rem solid transparent; 
    border-right: 4rem solid transparent; 
    border-bottom: 0px transparent; 
}

.css-miniHopper {
    /*box-sizing: border-box; 
    position: relative; 
    height: 0px; 
    width: 150px; 
    padding: 0px; 
    border-radius: 15px; 
    top: 1px; 
    transform: rotate(0deg) skew(0deg); 
    -webkit-transform: rotate(0deg) skew(0deg); 
    border-top: 50px solid #428BCA; 
    border-left: 32px solid transparent; 
    border-right: 30px solid transparent; 
    border-bottom: 0px transparent;*/
    position: relative;
    height: 0px;
    width: 8rem;
    border-radius: 1rem;
    border-top: 6rem solid #428BCA;
    border-left: 4rem solid transparent;
    border-right: 4rem solid transparent;
    border-bottom: 0px transparent;
}


.css-shapes-preview-dist {
    position: relative;
    height: 0px;
    width: 8rem;
    border-radius: 1rem;
    border-top: 12rem solid #f87878;
    border-left: 4rem solid transparent;
    border-right: 4rem solid transparent;
    border-bottom: 0px transparent;
}
/* ******************************************* */
    /* Optional CSS, default style for ng-sortable */
    /* ******************************************* */
    /*.as-sortable-item, .as-sortable-placeholder {
    min-height: 20px;
    margin: 1px 2px 5px 1px;
    border-radius: 10px;
}

.as-sortable-item {
    border: solid 1px darkgrey;
    background-color: #ffffff;
}

.as-sortable-item-handle {
}

.as-sortable-placeholder {
    border: 1px dashed darkgrey;
    box-sizing: border-box;
    background-color: #dbdbdb;
}

.as-sortable-drag {
    opacity: .8;
}

.as-sortable-hidden {
}*/
    .loadingInput {
    width:3rem;
    height:3rem;
  -webkit-border-radius: 1.8rem;
  -moz-border-radius: 1.8rem;
  border-radius: 1.8rem;
  font-family: Arial;
  color: #ffffff;
  font-size: 2rem;
  background: #313538;
  padding: 3.3rem 4rem 0.4rem 4em;
  border: solid #b3b9bd 1rrem;
  text-decoration: none;
  margin-left:auto;
  margin-right:auto;
  margin-top:1rem;
  margin-bottom:1rem;
}

.loadingInput:hover {
  text-decoration: none;
}

.loadingAggregateBasket {
    width:2rem;
    height:5rem;
    display:inline-block;
  -webkit-border-radius: 1.8rem;
  -moz-border-radius: 1.8rem;
  border-radius: 1.8rem;
  color: #ffffff;
  font-size: 2rem;
  background: #d8e33d;
  padding: 3.3rem 4rem 0.4rem 4rem;
  border: solid #d6c507 1rem;
  text-decoration: none;
}

.loadingAggregateBasket:hover {
  text-decoration: none;
}


/*da 1 verso*/

.moveableBelt1toIdle{
     position: relative;
    -webkit-animation: mov1toIdle 5s forwards; /* Safari 4.0 - 8.0 infinite */
    animation: mov1toIdle 5s forwards;
}

@-webkit-keyframes mov1toIdle {
    from {left: 0px;}
    to {left: 16rem;}
}

@keyframes mov1toIdle {
  from {left: 0px;}
    to {left: 16rem;}
}

.moveableBelt1to2{
     position: relative;
    -webkit-animation: mov1to2 5s forwards; /* Safari 4.0 - 8.0 infinite */
    animation: mov1to2 5s forwards;
}

@-webkit-keyframes mov1to2 {
    from {left: 0px;}
    to {left: 6rrem;}
}

@keyframes mov1to2 {
  from {left: 0px;}
    to {left: 6rem;}
}



.moveableBelt1to3{
     position: relative;
    -webkit-animation: mov1to3 5s forwards; /* Safari 4.0 - 8.0 infinite */
    animation: mov1to3 5s forwards;
}


@-webkit-keyframes mov1to3 {
    from {left: 0px;}
    to {left: 18rem;}
}

@keyframes mov1to3 {
    from {left: 0px;}
    to {left: 18rem;}
}

.moveableBelt1to4{
     position: relative;
    -webkit-animation: mov1to4 5s forwards; /* Safari 4.0 - 8.0 infinite */
    animation: mov1to4 5s forwards;
}


@-webkit-keyframes mov1to4 {
    from {left: 0px;}
    to {left: 25rem;}
}

@keyframes mov1to4 {
    from {left: 0px;}
    to {left: 25rem;}
}


/*da 2 verso*/


.moveableBelt2to1{
     position: relative;
    -webkit-animation: mov2to1 5s forwards; /* Safari 4.0 - 8.0 infinite */
    animation: mov2to1 5s forwards;
}

@-webkit-keyframes mov2to1 {
    from {left: 6rem;}
    to {left: 0px;}
}

@keyframes mov2to1 {
  from {left: 6rem;}
    to {left: 0px;}
}



.moveableBelt2to3{
     position: relative;
    -webkit-animation: mov2to3 5s forwards; /* Safari 4.0 - 8.0 infinite */
    animation: mov2to3 5s forwards;
}


@-webkit-keyframes mov2to3 {
    from {left: 6rem;}
    to {left: 18rem;}
}

@keyframes mov2to3 {
    from {left: 6rem;}
    to {left: 18rem;}
}

.moveableBelt2to4{
     position: relative;
    -webkit-animation: mov2to4 5s forwards; /* Safari 4.0 - 8.0 infinite */
    animation: mov2to4 5s forwards;
}


@-webkit-keyframes mov2to4 {
    from {left: 6rem;}
    to {left: 25rem;}
}

@keyframes mov2to4 {
    from {left: 6rem;}
    to {left: 25rem;}
}

/*da 3 verso*/


.moveableBelt3to1{
     position: relative;
    -webkit-animation: mov3to1 5s forwards; /* Safari 4.0 - 8.0 infinite */
    animation: mov3to1 5s forwards;
}

@-webkit-keyframes mov3to1 {
    from {left: 18rem;}
    to {left: 0px;}
}

@keyframes mov3to1 {
  from {left: 18rem;}
    to {left: 0px;}
}



.moveableBelt3to2{
     position: relative;
    -webkit-animation: mov3to2 5s forwards; /* Safari 4.0 - 8.0 infinite */
    animation: mov3to2 5s forwards;
}


@-webkit-keyframes mov3to2 {
    from {left: 18rem;}
    to {left: 6rem;}
}

@keyframes mov3to2 {
    from {left: 18rem;}
    to {left: 6rem;}
}

.moveableBelt3to4{
     position: relative;
    -webkit-animation: mov3to4 5s forwards; /* Safari 4.0 - 8.0 infinite */
    animation: mov3to4 5s forwards;
}


@-webkit-keyframes mov3to4 {
    from {left: 18rem;}
    to {left: 25rem;}
}

@keyframes mov3to4 {
    from {
        left: 18rem;
    }

    to {
        left: 25rem;
    }
}


/*da 4 verso*/


.moveableBelt4to1{
     position: relative;
    -webkit-animation: mov4to1 5s forwards; /* Safari 4.0 - 8.0 infinite */
    animation: mov4to1 5s forwards;
}

@-webkit-keyframes mov4to1 {
    from {left: 25rem;}
    to {left: 0px;}
}

@keyframes mov4to1 {
  from {left: 25rem;}
    to {left: 0px;}
}



.moveableBelt4to2{
     position: relative;
    -webkit-animation: mov4to2 5s forwards; /* Safari 4.0 - 8.0 infinite */
    animation: mov4to2 5s forwards;
}


@-webkit-keyframes mov4to2 {
    from {left: 25rem;}
    to {left: 6rem;}
}

@keyframes mov4to2 {
    from {left: 25rem;}
    to {left: 6rem;}
}

.moveableBelt4to3{
     position: relative;
    -webkit-animation: mov4to3 5s forwards; /* Safari 4.0 - 8.0 infinite */
    animation: mov4to3 5s forwards;
}


@-webkit-keyframes mov4to3 {
    from {left: 25rem;}
    to {left: 18rem;}
}

@keyframes mov4to3 {
    from {
        left: 25rem;
    }

    to {
        left: 18rem;
    }
}

.circle {
	border-radius: 50%;
	width: 12rem;
	height: 12rem; 
	/* width and height can be anything, as long as they're equal */
}

/* Create the animation blocks */
@keyframes spin {
	from { transform: rotate(0deg); }
	to { transform: rotate(360deg); }
}

/* Spinning, gradient circle; CSS only! */
#advanced {
	width: 12rem;
	height: 12rem;
	
	background-image: -moz-radial-gradient(45px 45px 45deg, circle cover, yellow 0%, orange 100%, red 95%);
	background-image: -webkit-radial-gradient(45px 45px, circle cover, yellow, orange);
	background-image: radial-gradient(45px 45px 45deg, circle cover, yellow 0%, orange 100%, red 95%);

    background-image:-webkit-radial-gradient(45px 45px, circle cover, rgba(216, 37, 7, 0.96), #eff31f);
	
	animation-name: spin; 
	animation-duration: 3s; /* 3 seconds */
	animation-iteration-count: infinite; 
	animation-timing-function: linear;
}

.staffa{ 
    position: absolute; 
    height: 6rem;
    width: 2rem;
    padding: 0px;
    background-color: #919191;
    /* top: -107px; */
    /* left: -82px; */
    transform: skew(20deg);
    -webkit-transform: skew(20deg);
    top: 5.5rem;
    left: 8rem;
    z-index: 2;
}

.perno{
      width: 3rem;
    height: 3rem;
    background: #646465;
    position: absolute;
    top: 9.2rem;
    left: 9rem;
    display: block;
    border: 3px solid #fff;
    border-radius: 50%;
    display: inline-block;
    /* margin-right: 20px; */
    z-index: 3;
}



/*table {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    display: flex;
    flex-direction: column;
    max-height: 400px; 
}

table * {
    box-sizing: inherit;
    -moz-box-sizing: inherit;
}

thead {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    text-align:center;
}

tbody {
    overflow-y: auto;
    overflow-x:hidden;
    display: inline-block;
}

thead > tr, tbody > tr, tfoot > tr {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}

thead, tfoot {
    flex-shrink: 0;
}

th, tbody td {
    width: 100%; 
    overflow-x: hidden;
    text-overflow: ellipsis;
    display: inline-block;
}

tfoot {
    display: inline-block;
}

tfoot td {
    width: 100%;
    display: inline-block;
}*/


.textDeleted{
    text-decoration:line-through;
}

.hopperInPosition {
    background-color: green !important;
    color: white !important;
}